WakeCreative Materials Search API
Search structured creative materials with keyword and filters. Responses always use the WakeCreative data + metadata envelope.
WakeCreative Materials Search API GET /v1/wakecreative/materials Search structured creative materials with keyword and filters. Responses always use the WakeCreative data + metadata envelope. Authentication: x-api-key Example URL: https://api.datawake.ai/v1/wakecreative/materials?query=UGC+skincare&limit=20&order=relevance&language=en&style_tags=ugc&style_tags=testimonial&cta_type_tags=shop_now Parameters: - query (query · string · optional) = UGC skincare - cursor (query · string · optional) - limit (query · integer · optional) = 20 - order (query · string · optional) = relevance - language (query · string · optional) = en - style_tags (query · array · optional) = ugc, testimonial - cta_type_tags (query · array · optional) = shop_now
Overview
Search materials using keywords, sorting, and filters for creative discovery workflows.
Use keyword, order, and repeatable filter fields to find reusable ad creatives, then drill into details with the material detail endpoint.
This endpoint also requires the x-api-key request header.
Headers
x-api-key string required
Your Wake API access key.
Example:
YOUR_API_KEY
Query Parameters
query string
Keyword query.
Example:
UGC skincare
cursor string
Pagination cursor returned by the previous request.
limit integer
Result size, from 1 to 100.
Example:
20
order string
Sort order.
Example:
relevance
enum: relevance, latest, oldest
language string
Filter by language.
Example:
en
style_tags array
Repeatable style tags filter.
Example:
ugc, testimonial
cta_type_tags array
Repeatable CTA type filter.
Example:
shop_now